#pragma suppressREQCmds
/*----------------------------------------------------------------------+
|									|
|  Copyright (1993-95) Bentley Systems, Inc., All rights reserved.     	|
|									|
|  "MicroStation" is a registered trademark and "MDL" and "MicroCSL"	|
|  are trademarks of Bentley Systems, Inc.			    	|
|									|
|  Limited permission is hereby granted to reproduce and modify this	|
|  copyrighted material provided that the resulting code is used only 	|
|  in conjunction with Bentley Systems products under the terms of the	|
|  license agreement provided therein, and that this notice is retained	|
|  in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|    $Logfile:   J:/mdl/examples/cnvtspln/cnvtcmd.r_v  $
|   $Workfile:   cnvtcmd.r  $
|   $Revision:   6.3  $
|   	$Date:   31 Oct 1995 14:05:08  $
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Function -								|
|									|
|	"Basic Dialog Example" Command Table Resources			|
|                                                                       |
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Include Files   							|
|									|
+----------------------------------------------------------------------*/
#include <rscdefs.h>
#include <cmdclass.h>
#include <cnvtspln.h>

/*----------------------------------------------------------------------+
|									|
|  Local Defines							|
|									|
+----------------------------------------------------------------------*/
#define CT_NONE					0
#define	CT_MAIN 				1
#define	CT_CONVERT				2
#define	CT_BSPLINE				3
#define CT_DIALOG				4

/*----------------------------------------------------------------------+
|									|
|   Main Commands							|
|									|
+----------------------------------------------------------------------*/
Table	CT_MAIN =
{
    {  1, CT_CONVERT,   MANIPULATION,	REQ,	    "CONVERT" },
    {  2, CT_DIALOG,     PARAMETERS,	REQ,	    "DIALOG" },
};

Table	CT_CONVERT =
{ 
    { 1, CT_BSPLINE, 	INHERIT,  NONE, "BSPLINE" },
};

Table	CT_BSPLINE =
{ 
    { 1, CT_NONE, 	INHERIT,  CMDSTR(CMDNAME_ConvertBsplineCurve), "CURVE" },
    { 2, CT_NONE, 	INHERIT,  CMDSTR(CMDNAME_ConvertBsplineSurface), "SURFACE" },
};

Table	CT_DIALOG =
{ 
    { 1, CT_NONE, 	INHERIT,  NONE,     "CNVTSPLN" },
};
